"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.uploadFile = exports.sendRestRequest = exports.sendRequest = void 0;
var _axios = _interopRequireDefault(require("../config/axios"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const sendRequest = async (data, headers) => {
  let responseType = "application/json";
  if (headers["Content-Type"] == "blob") {
    responseType = "blob";
  }
  return _axios.default.post("", {
    data
  }, {
    headers,
    withCredentials: true,
    responseType
  });
};
exports.sendRequest = sendRequest;
const sendRestRequest = async (data, headers) => {
  data.isREST = true;
  return _axios.default.post("", data, {
    headers,
    withCredentials: true
  });
};
exports.sendRestRequest = sendRestRequest;
const uploadFile = async (formData, params) => {
  return _axios.default.post("", formData, {
    params,
    headers: {
      "Content-Type": "multipart/form-data"
    },
    withCredentials: true
  });
};
exports.uploadFile = uploadFile;